# OgreAnimationState.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreController.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Classes

class | Ogre::AnimationState
| Represents the state of an animation and the weight of it's influence. More...
class | Ogre::AnimationStateSet
| Class encapsulating a set of AnimationState objects. More...
class | Ogre::AnimationStateControllerValue
| ControllerValue wrapper class for AnimationState. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef map< String, AnimationState * >::type | Ogre::AnimationStateMap
typedef MapIterator < AnimationStateMap > | Ogre::AnimationStateIterator
typedef ConstMapIterator < AnimationStateMap > | Ogre::ConstAnimationStateIterator
typedef list< AnimationState * > ::type | Ogre::EnabledAnimationStateList
typedef ConstVectorIterator < EnabledAnimationStateList > | Ogre::ConstEnabledAnimationStateIterator

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52